<?php

namespace App\Classes\Modules\ControllersLogic\Companies;


use App\Classes\Modules\Companies\Services\DeletesCompany;

class DeleteCompanyLogic
{
    /** @var  DeletesCompany */
    private $DeletesCompany;

    /**
     * DeleteCompanyLogic constructor.
     * @param DeletesCompany $DeletesCompany
     */
    public function __construct(DeletesCompany $DeletesCompany)
    {
        $this->DeletesCompany = $DeletesCompany;
    }

    public function execute(String $id){

        return $this->DeletesCompany->execute($id);

    }

}